function elements = FitElementsToClusterPoints(ClusterPoints)

ErrorThresh = 0.1;
BiasThresh = 0.01;

PointsCount = size(ClusterPoints, 2);

startIndex = 1;
endIndex = 2;
elementCount = 0;

while (endIndex <= PointsCount)
    
    [ThisElement, erro, bias] = FitLine(ClusterPoints(:,startIndex:endIndex));
    if erro < ErrorThresh && bias < BiasThresh
        endIndex = endIndex + 1;
    else
        elementCount = elementCount + 1;
        elements{elementCount} = LastElement;
        startIndex = endIndex-1;
        %endIndex = endIndex + 1;
    end
    
    LastElement = ThisElement;
end

elementCount = elementCount + 1;
elements{elementCount} = LastElement;

% ========================================================
