function [init_struct, interfaceID] = createTruth(init_struct, name)

len = size(init_struct.id, 2);

init_struct.id = {init_struct.id{:}, {'truth', name}};

% Find position id of the just added interface
interfaceID = -1;
for i = 1:len+1,
    if strcmp(init_struct.id{i}{1}, 'truth') == 1,
        interfaceID = interfaceID + 1;
    end
end

% now check that 'position' is listed in the interface field
found = 0;
for i = 1:size(init_struct.interface,2),
    if strcmp(init_struct.interface{i}, 'truth') == 1
        found = 1;
    end
end

if found == 0,
    init_struct.interface = {init_struct.interface{:}, 'truth'};
end