function mode = Mode_PositiveInteger(vec)
% returns the modal element in the vector of positive integers

maxVal = max(vec);
modeCount = 0;
restLength = length(vec);

for a = 1:maxVal
    a_count = sum(vec==a);
    if a_count > modeCount
        mode = a;
        modeCount = a_count;
        restLength = restLength - a_count;
        if restLength < modeCount
            break;
        end
    end
end
