function ret = DrawScene_SLAM(action, params)
global Particles
persistent fig_H World_H

switch action
    
    
    case 'initiate'
        fig_H = figure;
        hold on;
        axis equal;
        
    case 'World'
        figure(fig_H);
        hold on;
        for k = 1:Particles.World{params}.N
            try
                delete(World_H{k});
            end
            switch Particles.World{params}.element{k}.type
                case 'LineSegment'
                    World_H{k} = plot(Particles.World{params}.element{k}.ends(1,:), Particles.World{params}.element{k}.ends(2,:), 'b-');
                case 'CircularArk'
                    pts = Circle(Particles.World{params}.element{k}.r, Particles.World{params}.element{k}.c, Particles.World{params}.element{k}.anglerange);
                    World_H{k} = plot(pts(1,:), pts(2,:), 'b-');
            end
        end
        
end
