function SLAM_example

global Particles

Robot_Communicate('initiate', 'laser');
DrawScene('initiate');

% Particles Initialization
InitiateParticles_SLAM(2000);
data = Robot_Communicate('getData_LaserLocal');
UpdateParticleWorld(data.LaserPoints_local);

% -------------------------------------------------------------

% Perform Initial Localization

rotDirections = [1, -1, 1e-6];
rotTimes = [0.5, 1.0, 1.0];
SurviveRate = [5, 5, 5];
FinalCount = [500, 500, 500]; %[1000, 1000, 1000];
for a = 1:length(rotTimes)
    
    disp(sprintf('Running pass %d of %d for initial Localization...', a, length(rotTimes)));
    %RobotComputeAndSetVelocity_LaserAndParticleFilterLocalization(0,0,1e-6,1);
    RobotComputeAndSetVelocity_SLAM(0,0,1e-6,1);
    pause(0.2);
    ParticlesAfterDownsample.SurviveRate = SurviveRate(a);
    ParticlesAfterDownsample.FinalCount = FinalCount(a);
    RobotComputeAndSetVelocity_SLAM(1,1,Control.params.MaxTurnRate*rotDirections(a), 1, ParticlesAfterDownsample);
    %Particles.N,
    DrawScene_SLAM('World', Particles.WinnerIndex);
    pause(rotTimes(a));
    
end
