function SLAM_test1
global pts pts_new
doPlot = 1;

% [x,y] = ginput;
% pts = [x'; y'];

elements = FitElementsToClusterPoints(pts);

if doPlot
    figure;
    hold on;
    plot(pts(1,:),pts(2,:),'b.');
    for a = 1:length(elements)
        plot(elements{a}.ends(1,:), elements{a}.ends(2,:), 'r-');
    end
end

OldWorld.element = elements;
OldWorld.N = length(elements);
OldWorld.wt = ones(1,OldWorld.N);

% pause;
% [x1,y1] = ginput;
% pts_new = [x1'; y1'];
ClusterIndices = ClusterScanPoints(pts_new);
elements_new = {};
for a = 1:length(ClusterIndices)
    elements_new(a) = FitElementsToClusterPoints(pts_new(:,ClusterIndices{a}));
end
if doPlot
    for a = 1:length(elements_new)
        plot(elements_new{a}.ends(1,:), elements_new{a}.ends(2,:), 'm-');
    end
end

[NewWorld, mergeWt] = MergeElementsToWorld(elements_new, OldWorld, 0.5, [0.25 0.25]');
mergeWt,

if doPlot
    figure;
    hold on;
    plot([pts(1,:),pts_new(1,:)],[pts(2,:),pts_new(2,:)],'b.');
    for a = 1:NewWorld.N
        plot(NewWorld.element{a}.ends(1,:), NewWorld.element{a}.ends(2,:), 'r-');
    end
end
